
Robotics Service Bus - Tasks #266
For spread connector: implement event delivery according to hierarchical scope
04/29/2011 02:51 PM - J. Moringen

Status: Resolved Start date: 04/29/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 2.00 hours
Target version:
Description

    -  send notification to groups corresponding to all super-scopes of the event scope
    -  hash scope strings when producing group names (31 byte limit)
        -  md5-sum
    -  document this mapping in a wiki page

Associated revisions
Revision 4a6851d4 - 05/01/2011 08:20 PM - J. Wienke

Implement hierarchical sending in spread connector

refs #266

Revision 0ae725bc - 05/01/2011 10:59 PM - J. Wienke

add a class to represent MD5 sums

refs #266

Revision f632f8ca - 05/01/2011 11:22 PM - J. Wienke

Use md5 hashed group names for spread to avoid too lng group names.

fixes #266

History
#1 - 04/30/2011 01:50 PM - J. Wienke
- Assignee set to J. Wienke

#2 - 05/01/2011 08:26 PM - J. Wienke
- % Done changed from 0 to 70

#3 - 05/01/2011 09:28 PM - J. Wienke

Protocol description: [[SpreadProtocol]]

#4 - 05/01/2011 11:22 PM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 70 to 100

Applied in changeset r747.
